<?php function createnavientry($modulelink,$actionlinks,$caption)
      {
          global $module, $action;
          $actionlink = (is_array($actionlinks)) ? $actionlinks[0] : $actionlinks;
          if ($modulelink == $module && (is_array($actionlinks) ? in_array($action, $actionlinks) : ($actionlink == $action))) { $style=' class="naviactive"'; } else { $style='';}
          print '               <li><a href="index.php?module=' . $modulelink . '&action=' . $actionlink . '"' . $style . '>' . $caption . '</a> </li>' . "\n";
   }
?>
          <div id="leftnav">
<?php
if ($loggedIn) : ?>
          <ul>
<?php
    createnavientry('user',array('new','addpoints','edit','fami','addbonus','account','log','delete'),'Neuer Teilnehmer');
    createnavientry('user','search','Teilnehmer suchen');
/*
    createnavientry('user','approve','Teilnehmer freischalten');
*/
    createnavientry('user','searchextended','Erweiterte Suche');
    createnavientry('mitglied','search','Mitglied suchen');
/*
    createnavientry('user','upload','Teilnehmer-Upload');
*/
    createnavientry('admins','show','Bearbeiter');
    createnavientry('bestelllisten','','Export/Import der Bestelllisten');
    createnavientry('export','o18','Datenexport Erwachsene');
    createnavientry('export','u18','Datenexport U18');

?>
    </ul>
    <hr/>
    <div id="sufunctionbuttonon">mehr... &raquo;&nbsp;</div>
    <div id="sufunctionbuttonoff">weniger... ^&nbsp;</div>
    <script type="text/javascript">
        $('#sufunctionbuttonon').click(function() {
            $('#sufunctions').show('fast',function() {
                contentheight = $('#content').height();
                adjustcontentheight(); });
            $('#sufunctionbuttonon').hide();
            $('#sufunctionbuttonoff').show();
            });
        $('#sufunctionbuttonoff').click(function() {
            $('#sufunctions').hide('fast',function() {
                $('#content').height(contentheight);
                adjustcontentheight(); });
            $('#sufunctionbuttonon').show();
            $('#sufunctionbuttonoff').hide();
            });

    </script>
 <?php $hiddenentries = array(
     array('kategorien',array('edit')),
     array('praemien',array('show','edit')),
     array('export',array('teilnehmerkasse')),
     array('admins',array('new')),
     array('statistik',array('show')),
     array('bonusstatistics',array('')),
     array('konto',array('')),
    );
    $showmenue = 'none';
    foreach ($hiddenentries as $entry) :
        if ($entry[0] == $module && in_array($action, $entry[1])) {
            $showmenue = 'block';
            break;
        }
    endforeach;

 ?>
    <ul id="sufunctions" style="display: <?php echo $showmenue; ?>">
<?php
    if ($loggedIn->role == "superuser") : 
      createnavientry('kategorien','edit','Bonuskategorien bearbeiten');
    endif;
    createnavientry('praemien',array('show','edit'),'Pr&auml;mien bearbeiten');
 ?> -- <?php 
    createnavientry('export','teilnehmerkasse','Datenexport Teilnmr. Kasse');
 ?> -- <?php 
    createnavientry('admins','new','Bearbeiter anlegen');
 ?> -- <?php 
    createnavientry('statistik','show','Statistik');
//    createnavientry('bonusstatistics','','Auswertung Bonuskategorien');
//    createnavientry('user','account_list','AccountListe');
    if ($loggedIn->login == "carstens"||$loggedIn->login == 'jochenv') : 
?> -- <?php
      createnavientry('konto','','Kontoausz&uuml;ge exportieren');
    endif; ?>
          </ul>
          <hr />
          <ul>
            <li><a href="/">Healthmiles</a></li>
<?php if ($loggedIn) : ?>
    <?php createnavientry('changepasswd','','Passwort &auml;ndern');?>
          <li><a href="index.php?module=logout">Logout</a></li>
</ul>
          <hr/>
          Benutzer: <?=$loggedIn->login?>
<?php  endif; ?>

<?php  endif; ?>
          </div>
